/*
 * CairoFontOptions.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_freedesktop_cairo_CairoFontOptions.h"

JNIEXPORT jlong JNICALL
Java_org_freedesktop_cairo_CairoFontOptions_cairo_1font_1options_1create
(
	JNIEnv* env,
	jclass cls
)
{
	cairo_font_options_t* result;
	jlong _result;

	// call function
	result = cairo_font_options_create();

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_freedesktop_cairo_CairoFontOptions_cairo_1font_1options_1destroy
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	cairo_font_options_t* self;

	// convert parameter self
	self = (cairo_font_options_t*) _self;

	// call function
	cairo_font_options_destroy(self);

	// cleanup parameter self
}

JNIEXPORT jint JNICALL
Java_org_freedesktop_cairo_CairoFontOptions_cairo_1font_1options_1status
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	cairo_status_t result;
	jint _result;
	cairo_font_options_t* self;

	// convert parameter self
	self = (cairo_font_options_t*) _self;

	// call function
	result = cairo_font_options_status(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_freedesktop_cairo_CairoFontOptions_cairo_1font_1options_1set_1hint_1metrics
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _hintMetrics
)
{
	cairo_font_options_t* self;
	cairo_hint_metrics_t hintMetrics;

	// convert parameter self
	self = (cairo_font_options_t*) _self;

	// convert parameter hintMetrics
	hintMetrics = (cairo_hint_metrics_t) _hintMetrics;

	// call function
	cairo_font_options_set_hint_metrics(self, hintMetrics);

	// cleanup parameter self

	// cleanup parameter hintMetrics
}
