/*
 * AtkHyperlink.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_atk_AtkHyperlink.h"

JNIEXPORT jstring JNICALL
Java_org_gnome_atk_AtkHyperlink_atk_1hyperlink_1get_1uri
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _i
)
{
	gchar* result;
	jstring _result;
	AtkHyperlink* self;
	gint i;

	// convert parameter self
	self = (AtkHyperlink*) _self;

	// convert parameter i
	i = (gint) _i;

	// call function
	result = atk_hyperlink_get_uri(self, i);

	// cleanup parameter self

	// cleanup parameter i

	// translate return value to JNI type
	_result = (jstring) (*env)->NewStringUTF(env, result);

	// cleanup return value
	if (result != NULL) {
		g_free(result);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_atk_AtkHyperlink_atk_1hyperlink_1get_1object
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _i
)
{
	AtkObject* result;
	jlong _result;
	AtkHyperlink* self;
	gint i;

	// convert parameter self
	self = (AtkHyperlink*) _self;

	// convert parameter i
	i = (gint) _i;

	// call function
	result = atk_hyperlink_get_object(self, i);

	// cleanup parameter self

	// cleanup parameter i

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_atk_AtkHyperlink_atk_1hyperlink_1get_1end_1index
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	AtkHyperlink* self;

	// convert parameter self
	self = (AtkHyperlink*) _self;

	// call function
	result = atk_hyperlink_get_end_index(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_atk_AtkHyperlink_atk_1hyperlink_1get_1start_1index
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	AtkHyperlink* self;

	// convert parameter self
	self = (AtkHyperlink*) _self;

	// call function
	result = atk_hyperlink_get_start_index(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_atk_AtkHyperlink_atk_1hyperlink_1is_1valid
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	AtkHyperlink* self;

	// convert parameter self
	self = (AtkHyperlink*) _self;

	// call function
	result = atk_hyperlink_is_valid(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_atk_AtkHyperlink_atk_1hyperlink_1get_1n_1anchors
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	AtkHyperlink* self;

	// convert parameter self
	self = (AtkHyperlink*) _self;

	// call function
	result = atk_hyperlink_get_n_anchors(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_atk_AtkHyperlink_atk_1hyperlink_1is_1inline
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	AtkHyperlink* self;

	// convert parameter self
	self = (AtkHyperlink*) _self;

	// call function
	result = atk_hyperlink_is_inline(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_atk_AtkHyperlink_atk_1hyperlink_1is_1selected_1link
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	AtkHyperlink* self;

	// convert parameter self
	self = (AtkHyperlink*) _self;

	// call function
	result = atk_hyperlink_is_selected_link(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
