/*
 * AtkHypertext.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_atk_AtkHypertext.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_atk_AtkHypertext_atk_1hypertext_1get_1link
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _linkIndex
)
{
	AtkHyperlink* result;
	jlong _result;
	AtkHypertext* self;
	gint linkIndex;

	// convert parameter self
	self = (AtkHypertext*) _self;

	// convert parameter linkIndex
	linkIndex = (gint) _linkIndex;

	// call function
	result = atk_hypertext_get_link(self, linkIndex);

	// cleanup parameter self

	// cleanup parameter linkIndex

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_atk_AtkHypertext_atk_1hypertext_1get_1n_1links
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	AtkHypertext* self;

	// convert parameter self
	self = (AtkHypertext*) _self;

	// call function
	result = atk_hypertext_get_n_links(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_atk_AtkHypertext_atk_1hypertext_1get_1link_1index
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _charIndex
)
{
	gint result;
	jint _result;
	AtkHypertext* self;
	gint charIndex;

	// convert parameter self
	self = (AtkHypertext*) _self;

	// convert parameter charIndex
	charIndex = (gint) _charIndex;

	// call function
	result = atk_hypertext_get_link_index(self, charIndex);

	// cleanup parameter self

	// cleanup parameter charIndex

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}
