/*
 * AtkStreamableContent.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_atk_AtkStreamableContent.h"

JNIEXPORT jint JNICALL
Java_org_gnome_atk_AtkStreamableContent_atk_1streamable_1content_1get_1n_1mime_1types
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	AtkStreamableContent* self;

	// convert parameter self
	self = (AtkStreamableContent*) _self;

	// call function
	result = atk_streamable_content_get_n_mime_types(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_atk_AtkStreamableContent_atk_1streamable_1content_1get_1mime_1type
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _i
)
{
	const gchar* result;
	jstring _result;
	AtkStreamableContent* self;
	gint i;

	// convert parameter self
	self = (AtkStreamableContent*) _self;

	// convert parameter i
	i = (gint) _i;

	// call function
	result = atk_streamable_content_get_mime_type(self, i);

	// cleanup parameter self

	// cleanup parameter i

	// translate return value to JNI type
	_result = (jstring) (*env)->NewStringUTF(env, result);

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_atk_AtkStreamableContent_atk_1streamable_1content_1get_1uri
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _mimeType
)
{
	gchar* result;
	jstring _result;
	AtkStreamableContent* self;
	const gchar* mimeType;

	// convert parameter self
	self = (AtkStreamableContent*) _self;

	// convert parameter mimeType
	mimeType = (const gchar*) (*env)->GetStringUTFChars(env, _mimeType, NULL);
	if (mimeType == NULL) {
		return NULL; // Java Exception already thrown
	}

	// call function
	result = atk_streamable_content_get_uri(self, mimeType);

	// cleanup parameter self

	// cleanup parameter mimeType
	(*env)->ReleaseStringUTFChars(env, _mimeType, mimeType);

	// translate return value to JNI type
	_result = (jstring) (*env)->NewStringUTF(env, result);

	// cleanup return value
	if (result != NULL) {
		g_free(result);
	}

	// and finally
	return _result;
}
