/*
 * GdkEventOwnerChange.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkEventOwnerChange.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1get_1type
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkEventType result;
	jint _result;
	GdkEventOwnerChange* self;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// get field value
	result = self->type;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1set_1type
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _type
)
{
	GdkEventOwnerChange* self;
	GdkEventType type;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// convert parameter type
	type = (GdkEventType) _type;

	// set field value
	self->type = type;

	// cleanup parameter self

	// cleanup parameter type
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1get_1window
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkWindow* result;
	jlong _result;
	GdkEventOwnerChange* self;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// get field value
	result = self->window;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1set_1window
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window
)
{
	GdkEventOwnerChange* self;
	GdkWindow* window;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// set field value
	self->window = window;

	// cleanup parameter self

	// cleanup parameter window
}

JNIEXPORT jbyte JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1get_1send_1event
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint8 result;
	jbyte _result;
	GdkEventOwnerChange* self;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// get field value
	result = self->send_event;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jbyte) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1set_1send_1event
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jbyte _sendEvent
)
{
	GdkEventOwnerChange* self;
	gint8 sendEvent;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// convert parameter sendEvent
	sendEvent = (gint8) _sendEvent;

	// set field value
	self->send_event = sendEvent;

	// cleanup parameter self

	// cleanup parameter sendEvent
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1get_1reason
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkOwnerChange result;
	jint _result;
	GdkEventOwnerChange* self;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// get field value
	result = self->reason;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1set_1reason
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _reason
)
{
	GdkEventOwnerChange* self;
	GdkOwnerChange reason;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// convert parameter reason
	reason = (GdkOwnerChange) _reason;

	// set field value
	self->reason = reason;

	// cleanup parameter self

	// cleanup parameter reason
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1get_1time
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint32 result;
	jint _result;
	GdkEventOwnerChange* self;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// get field value
	result = self->time;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1set_1time
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _time
)
{
	GdkEventOwnerChange* self;
	guint32 time;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// convert parameter time
	time = (guint32) _time;

	// set field value
	self->time = time;

	// cleanup parameter self

	// cleanup parameter time
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1get_1selection_1time
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint32 result;
	jint _result;
	GdkEventOwnerChange* self;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// get field value
	result = self->selection_time;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkEventOwnerChange_gdk_1event_1owner_1change_1set_1selection_1time
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _selectionTime
)
{
	GdkEventOwnerChange* self;
	guint32 selectionTime;

	// convert parameter self
	self = (GdkEventOwnerChange*) _self;

	// convert parameter selectionTime
	selectionTime = (guint32) _selectionTime;

	// set field value
	self->selection_time = selectionTime;

	// cleanup parameter self

	// cleanup parameter selectionTime
}
