/*
 * GdkGCValuesMask.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkGCValuesMask.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1foreground
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_FOREGROUND;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1background
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_BACKGROUND;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1font
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_FONT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1function
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_FUNCTION;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1fill
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_FILL;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1tile
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_TILE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1stipple
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_STIPPLE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1clip_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_CLIP_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1subwindow
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_SUBWINDOW;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1ts_1x_1origin
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_TS_X_ORIGIN;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1ts_1y_1origin
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_TS_Y_ORIGIN;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1clip_1x_1origin
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_CLIP_X_ORIGIN;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1clip_1y_1origin
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_CLIP_Y_ORIGIN;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1exposures
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_EXPOSURES;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1line_1width
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_LINE_WIDTH;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1line_1style
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_LINE_STYLE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1cap_1style
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_CAP_STYLE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkGCValuesMask_get_1ordinal_1join_1style
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_GC_JOIN_STYLE;
}
