/*
 * GdkModifierType.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkModifierType.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1shift_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_SHIFT_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1lock_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_LOCK_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1control_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_CONTROL_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1mod1_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_MOD1_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1mod2_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_MOD2_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1mod3_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_MOD3_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1mod4_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_MOD4_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1mod5_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_MOD5_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1button1_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON1_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1button2_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON2_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1button3_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON3_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1button4_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON4_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1button5_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON5_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1super_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_SUPER_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1hyper_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HYPER_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1meta_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_META_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1release_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_RELEASE_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkModifierType_get_1ordinal_1modifier_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_MODIFIER_MASK;
}
