/*
 * GdkPixbufAnimationIter.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkPixbufAnimationIter.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkPixbufAnimationIter_gdk_1pixbuf_1animation_1iter_1get_1delay_1time
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	int result;
	jint _result;
	GdkPixbufAnimationIter* self;

	// convert parameter self
	self = (GdkPixbufAnimationIter*) _self;

	// call function
	result = gdk_pixbuf_animation_iter_get_delay_time(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkPixbufAnimationIter_gdk_1pixbuf_1animation_1iter_1get_1pixbuf
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkPixbuf* result;
	jlong _result;
	GdkPixbufAnimationIter* self;

	// convert parameter self
	self = (GdkPixbufAnimationIter*) _self;

	// call function
	result = gdk_pixbuf_animation_iter_get_pixbuf(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gdk_GdkPixbufAnimationIter_gdk_1pixbuf_1animation_1iter_1on_1currently_1loading_1frame
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GdkPixbufAnimationIter* self;

	// convert parameter self
	self = (GdkPixbufAnimationIter*) _self;

	// call function
	result = gdk_pixbuf_animation_iter_on_currently_loading_frame(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
