/*
 * GdkSegment.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkSegment.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkSegment_gdk_1segment_1get_1x1
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GdkSegment* self;

	// convert parameter self
	self = (GdkSegment*) _self;

	// get field value
	result = self->x1;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkSegment_gdk_1segment_1set_1x1
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _x1
)
{
	GdkSegment* self;
	gint x1;

	// convert parameter self
	self = (GdkSegment*) _self;

	// convert parameter x1
	x1 = (gint) _x1;

	// set field value
	self->x1 = x1;

	// cleanup parameter self

	// cleanup parameter x1
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkSegment_gdk_1segment_1get_1y1
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GdkSegment* self;

	// convert parameter self
	self = (GdkSegment*) _self;

	// get field value
	result = self->y1;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkSegment_gdk_1segment_1set_1y1
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _y1
)
{
	GdkSegment* self;
	gint y1;

	// convert parameter self
	self = (GdkSegment*) _self;

	// convert parameter y1
	y1 = (gint) _y1;

	// set field value
	self->y1 = y1;

	// cleanup parameter self

	// cleanup parameter y1
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkSegment_gdk_1segment_1get_1x2
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GdkSegment* self;

	// convert parameter self
	self = (GdkSegment*) _self;

	// get field value
	result = self->x2;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkSegment_gdk_1segment_1set_1x2
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _x2
)
{
	GdkSegment* self;
	gint x2;

	// convert parameter self
	self = (GdkSegment*) _self;

	// convert parameter x2
	x2 = (gint) _x2;

	// set field value
	self->x2 = x2;

	// cleanup parameter self

	// cleanup parameter x2
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkSegment_gdk_1segment_1get_1y2
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GdkSegment* self;

	// convert parameter self
	self = (GdkSegment*) _self;

	// get field value
	result = self->y2;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkSegment_gdk_1segment_1set_1y2
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _y2
)
{
	GdkSegment* self;
	gint y2;

	// convert parameter self
	self = (GdkSegment*) _self;

	// convert parameter y2
	y2 = (gint) _y2;

	// set field value
	self->y2 = y2;

	// cleanup parameter self

	// cleanup parameter y2
}
