/*
 * GdkTrapezoid.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkTrapezoid.h"

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1y1
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->y1;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1y1
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _y1
)
{
	GdkTrapezoid* self;
	double y1;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter y1
	y1 = (double) _y1;

	// set field value
	self->y1 = y1;

	// cleanup parameter self

	// cleanup parameter y1
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1x11
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->x11;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1x11
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _x11
)
{
	GdkTrapezoid* self;
	double x11;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter x11
	x11 = (double) _x11;

	// set field value
	self->x11 = x11;

	// cleanup parameter self

	// cleanup parameter x11
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1x21
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->x21;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1x21
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _x21
)
{
	GdkTrapezoid* self;
	double x21;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter x21
	x21 = (double) _x21;

	// set field value
	self->x21 = x21;

	// cleanup parameter self

	// cleanup parameter x21
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1y2
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->y2;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1y2
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _y2
)
{
	GdkTrapezoid* self;
	double y2;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter y2
	y2 = (double) _y2;

	// set field value
	self->y2 = y2;

	// cleanup parameter self

	// cleanup parameter y2
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1x12
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->x12;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1x12
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _x12
)
{
	GdkTrapezoid* self;
	double x12;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter x12
	x12 = (double) _x12;

	// set field value
	self->x12 = x12;

	// cleanup parameter self

	// cleanup parameter x12
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1x22
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->x22;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1x22
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _x22
)
{
	GdkTrapezoid* self;
	double x22;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter x22
	x22 = (double) _x22;

	// set field value
	self->x22 = x22;

	// cleanup parameter self

	// cleanup parameter x22
}
