/*
 * GtkButtonBox.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkButtonBox.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkButtonBox_gtk_1button_1box_1get_1layout
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkButtonBoxStyle result;
	jint _result;
	GtkButtonBox* self;

	// convert parameter self
	self = (GtkButtonBox*) _self;

	// call function
	result = gtk_button_box_get_layout(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkButtonBox_gtk_1button_1box_1set_1layout
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _layoutStyle
)
{
	GtkButtonBox* self;
	GtkButtonBoxStyle layoutStyle;

	// convert parameter self
	self = (GtkButtonBox*) _self;

	// convert parameter layoutStyle
	layoutStyle = (GtkButtonBoxStyle) _layoutStyle;

	// call function
	gtk_button_box_set_layout(self, layoutStyle);

	// cleanup parameter self

	// cleanup parameter layoutStyle
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkButtonBox_gtk_1button_1box_1get_1child_1secondary
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _child
)
{
	gboolean result;
	jboolean _result;
	GtkButtonBox* self;
	GtkWidget* child;

	// convert parameter self
	self = (GtkButtonBox*) _self;

	// convert parameter child
	child = (GtkWidget*) _child;

	// call function
	result = gtk_button_box_get_child_secondary(self, child);

	// cleanup parameter self

	// cleanup parameter child

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkButtonBox_gtk_1button_1box_1set_1child_1secondary
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _child,
	jboolean _isSecondary
)
{
	GtkButtonBox* self;
	GtkWidget* child;
	gboolean isSecondary;

	// convert parameter self
	self = (GtkButtonBox*) _self;

	// convert parameter child
	child = (GtkWidget*) _child;

	// convert parameter isSecondary
	isSecondary = (gboolean) _isSecondary;

	// call function
	gtk_button_box_set_child_secondary(self, child, isSecondary);

	// cleanup parameter self

	// cleanup parameter child

	// cleanup parameter isSecondary
}
