/*
 * GtkCellEditable.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkCellEditable.h"

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellEditable_gtk_1cell_1editable_1start_1editing
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _event
)
{
	GtkCellEditable* self;
	GdkEvent* event;

	// convert parameter self
	self = (GtkCellEditable*) _self;

	// convert parameter event
	event = (GdkEvent*) _event;

	// call function
	gtk_cell_editable_start_editing(self, event);

	// cleanup parameter self

	// cleanup parameter event
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellEditable_gtk_1cell_1editable_1editing_1done
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkCellEditable* self;

	// convert parameter self
	self = (GtkCellEditable*) _self;

	// call function
	gtk_cell_editable_editing_done(self);

	// cleanup parameter self
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellEditable_gtk_1cell_1editable_1remove_1widget
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkCellEditable* self;

	// convert parameter self
	self = (GtkCellEditable*) _self;

	// call function
	gtk_cell_editable_remove_widget(self);

	// cleanup parameter self
}
