/*
 * GtkCellRendererText.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkCellRendererText.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkCellRendererText_gtk_1cell_1renderer_1text_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkCellRenderer* result;
	jlong _result;

	// call function
	result = gtk_cell_renderer_text_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellRendererText_gtk_1cell_1renderer_1text_1set_1fixed_1height_1from_1font
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _numberOfRows
)
{
	GtkCellRendererText* self;
	gint numberOfRows;

	// convert parameter self
	self = (GtkCellRendererText*) _self;

	// convert parameter numberOfRows
	numberOfRows = (gint) _numberOfRows;

	// call function
	gtk_cell_renderer_text_set_fixed_height_from_font(self, numberOfRows);

	// cleanup parameter self

	// cleanup parameter numberOfRows
}
