/*
 * GtkEventBox.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkEventBox.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkEventBox_gtk_1event_1box_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkWidget* result;
	jlong _result;

	// call function
	result = gtk_event_box_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkEventBox_gtk_1event_1box_1get_1visible_1window
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkEventBox* self;

	// convert parameter self
	self = (GtkEventBox*) _self;

	// call function
	result = gtk_event_box_get_visible_window(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkEventBox_gtk_1event_1box_1set_1visible_1window
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _visibleWindow
)
{
	GtkEventBox* self;
	gboolean visibleWindow;

	// convert parameter self
	self = (GtkEventBox*) _self;

	// convert parameter visibleWindow
	visibleWindow = (gboolean) _visibleWindow;

	// call function
	gtk_event_box_set_visible_window(self, visibleWindow);

	// cleanup parameter self

	// cleanup parameter visibleWindow
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkEventBox_gtk_1event_1box_1get_1above_1child
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkEventBox* self;

	// convert parameter self
	self = (GtkEventBox*) _self;

	// call function
	result = gtk_event_box_get_above_child(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkEventBox_gtk_1event_1box_1set_1above_1child
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _aboveChild
)
{
	GtkEventBox* self;
	gboolean aboveChild;

	// convert parameter self
	self = (GtkEventBox*) _self;

	// convert parameter aboveChild
	aboveChild = (gboolean) _aboveChild;

	// call function
	gtk_event_box_set_above_child(self, aboveChild);

	// cleanup parameter self

	// cleanup parameter aboveChild
}
