/*
 * GtkFixed.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkFixed.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkFixed_gtk_1fixed_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkWidget* result;
	jlong _result;

	// call function
	result = gtk_fixed_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkFixed_gtk_1fixed_1put
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _widget,
	jint _x,
	jint _y
)
{
	GtkFixed* self;
	GtkWidget* widget;
	gint x;
	gint y;

	// convert parameter self
	self = (GtkFixed*) _self;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// call function
	gtk_fixed_put(self, widget, x, y);

	// cleanup parameter self

	// cleanup parameter widget

	// cleanup parameter x

	// cleanup parameter y
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkFixed_gtk_1fixed_1move
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _widget,
	jint _x,
	jint _y
)
{
	GtkFixed* self;
	GtkWidget* widget;
	gint x;
	gint y;

	// convert parameter self
	self = (GtkFixed*) _self;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// call function
	gtk_fixed_move(self, widget, x, y);

	// cleanup parameter self

	// cleanup parameter widget

	// cleanup parameter x

	// cleanup parameter y
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkFixed_gtk_1fixed_1set_1has_1window
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _hasWindow
)
{
	GtkFixed* self;
	gboolean hasWindow;

	// convert parameter self
	self = (GtkFixed*) _self;

	// convert parameter hasWindow
	hasWindow = (gboolean) _hasWindow;

	// call function
	gtk_fixed_set_has_window(self, hasWindow);

	// cleanup parameter self

	// cleanup parameter hasWindow
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkFixed_gtk_1fixed_1get_1has_1window
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkFixed* self;

	// convert parameter self
	self = (GtkFixed*) _self;

	// call function
	result = gtk_fixed_get_has_window(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
