/*
 * GtkObject.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkObject.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkObject_GTK_1OBJECT_1FLAGS
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkWidgetFlags result;
	jint _result;
	GtkObject* self;

	// convert parameter self
	self = (GtkObject*) _self;

	// call function
	result = GTK_OBJECT_FLAGS(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkObject_GTK_1OBJECT_1SET_1FLAGS
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _flags
)
{
	GtkObject* self;
	GtkWidgetFlags flags;

	// convert parameter self
	self = (GtkObject*) _self;

	// convert parameter flags
	flags = (GtkWidgetFlags) _flags;

	// call function
	GTK_OBJECT_SET_FLAGS(self, flags);

	// cleanup parameter self

	// cleanup parameter flags
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkObject_GTK_1OBJECT_1UNSET_1FLAGS
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _flags
)
{
	GtkObject* self;
	GtkWidgetFlags flags;

	// convert parameter self
	self = (GtkObject*) _self;

	// convert parameter flags
	flags = (GtkWidgetFlags) _flags;

	// call function
	GTK_OBJECT_UNSET_FLAGS(self, flags);

	// cleanup parameter self

	// cleanup parameter flags
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkObject_gtk_1object_1destroy
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkObject* self;

	// convert parameter self
	self = (GtkObject*) _self;

	// call function
	gtk_object_destroy(self);

	// cleanup parameter self
}
