/*
 * GtkRecentChooserMenu.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkRecentChooserMenu.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkRecentChooserMenu_gtk_1recent_1chooser_1menu_1new_1for_1manager
(
	JNIEnv* env,
	jclass cls,
	jlong _manager
)
{
	GtkWidget* result;
	jlong _result;
	GtkRecentManager* manager;

	// convert parameter manager
	manager = (GtkRecentManager*) _manager;

	// call function
	result = gtk_recent_chooser_menu_new_for_manager(manager);

	// cleanup parameter manager

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkRecentChooserMenu_gtk_1recent_1chooser_1menu_1get_1show_1numbers
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkRecentChooserMenu* self;

	// convert parameter self
	self = (GtkRecentChooserMenu*) _self;

	// call function
	result = gtk_recent_chooser_menu_get_show_numbers(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkRecentChooserMenu_gtk_1recent_1chooser_1menu_1set_1show_1numbers
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _showNumbers
)
{
	GtkRecentChooserMenu* self;
	gboolean showNumbers;

	// convert parameter self
	self = (GtkRecentChooserMenu*) _self;

	// convert parameter showNumbers
	showNumbers = (gboolean) _showNumbers;

	// call function
	gtk_recent_chooser_menu_set_show_numbers(self, showNumbers);

	// cleanup parameter self

	// cleanup parameter showNumbers
}
