/*
 * GtkResponseType.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkResponseType.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1none
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_NONE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1reject
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_REJECT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1accept
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_ACCEPT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1delete_1event
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_DELETE_EVENT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1ok
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_OK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1cancel
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_CANCEL;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1close
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_CLOSE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1yes
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_YES;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1no
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_NO;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1apply
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_APPLY;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkResponseType_get_1ordinal_1help
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RESPONSE_HELP;
}
