/*
 * GtkSocket.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkSocket.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkSocket_gtk_1socket_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkWidget* result;
	jlong _result;

	// call function
	result = gtk_socket_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkSocket_gtk_1socket_1add_1id
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _windowId
)
{
	GtkSocket* self;
	GdkNativeWindow windowId;

	// convert parameter self
	self = (GtkSocket*) _self;

	// convert parameter windowId
	windowId = (GdkNativeWindow) _windowId;

	// call function
	gtk_socket_add_id(self, windowId);

	// cleanup parameter self

	// cleanup parameter windowId
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkSocket_gtk_1socket_1get_1id
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkNativeWindow result;
	jlong _result;
	GtkSocket* self;

	// convert parameter self
	self = (GtkSocket*) _self;

	// call function
	result = gtk_socket_get_id(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}
