/*
 * GtkTextChildAnchor.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkTextChildAnchor.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTextChildAnchor_gtk_1text_1child_1anchor_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkTextChildAnchor* result;
	jlong _result;

	// call function
	result = gtk_text_child_anchor_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlongArray JNICALL
Java_org_gnome_gtk_GtkTextChildAnchor_gtk_1text_1child_1anchor_1get_1widgets
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GList* result;
	jlongArray _result;
	GtkTextChildAnchor* self;

	// convert parameter self
	self = (GtkTextChildAnchor*) _self;

	// call function
	result = gtk_text_child_anchor_get_widgets(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlongArray) bindings_java_convert_glist_to_jarray(env, result);

	// cleanup return value
	if (result != NULL) {
		g_list_free(result);
	}

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextChildAnchor_gtk_1text_1child_1anchor_1get_1deleted
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextChildAnchor* self;

	// convert parameter self
	self = (GtkTextChildAnchor*) _self;

	// call function
	result = gtk_text_child_anchor_get_deleted(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
