/*
 * GtkTreeDragSource.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkTreeDragSource.h"

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTreeDragSource_gtk_1tree_1drag_1source_1row_1draggable
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _path
)
{
	gboolean result;
	jboolean _result;
	GtkTreeDragSource* self;
	GtkTreePath* path;

	// convert parameter self
	self = (GtkTreeDragSource*) _self;

	// convert parameter path
	path = (GtkTreePath*) _path;

	// call function
	result = gtk_tree_drag_source_row_draggable(self, path);

	// cleanup parameter self

	// cleanup parameter path

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTreeDragSource_gtk_1tree_1drag_1source_1drag_1data_1delete
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _path
)
{
	gboolean result;
	jboolean _result;
	GtkTreeDragSource* self;
	GtkTreePath* path;

	// convert parameter self
	self = (GtkTreeDragSource*) _self;

	// convert parameter path
	path = (GtkTreePath*) _path;

	// call function
	result = gtk_tree_drag_source_drag_data_delete(self, path);

	// cleanup parameter self

	// cleanup parameter path

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTreeDragSource_gtk_1tree_1drag_1source_1drag_1data_1get
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _path,
	jlong _selectionData
)
{
	gboolean result;
	jboolean _result;
	GtkTreeDragSource* self;
	GtkTreePath* path;
	GtkSelectionData* selectionData;

	// convert parameter self
	self = (GtkTreeDragSource*) _self;

	// convert parameter path
	path = (GtkTreePath*) _path;

	// convert parameter selectionData
	selectionData = (GtkSelectionData*) _selectionData;

	// call function
	result = gtk_tree_drag_source_drag_data_get(self, path, selectionData);

	// cleanup parameter self

	// cleanup parameter path

	// cleanup parameter selectionData

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
