/*
 * GtkWidgetFlags.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkWidgetFlags.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1toplevel
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_TOPLEVEL;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1no_1window
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_NO_WINDOW;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1realized
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_REALIZED;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1mapped
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_MAPPED;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1visible
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_VISIBLE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1sensitive
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_SENSITIVE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1parent_1sensitive
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PARENT_SENSITIVE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1can_1focus
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_CAN_FOCUS;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1has_1focus
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_HAS_FOCUS;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1can_1default
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_CAN_DEFAULT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1has_1default
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_HAS_DEFAULT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1has_1grab
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_HAS_GRAB;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1rc_1style
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RC_STYLE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1composite_1child
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_COMPOSITE_CHILD;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1no_1reparent
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_NO_REPARENT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1app_1paintable
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_APP_PAINTABLE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1receives_1default
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RECEIVES_DEFAULT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1double_1buffered
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_DOUBLE_BUFFERED;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1no_1show_1all
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_NO_SHOW_ALL;
}
