/*
 * GtkWindowGroup.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkWindowGroup.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkWindowGroup_gtk_1window_1group_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkWindowGroup* result;
	jlong _result;

	// call function
	result = gtk_window_group_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkWindowGroup_gtk_1window_1group_1add_1window
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window
)
{
	GtkWindowGroup* self;
	GtkWindow* window;

	// convert parameter self
	self = (GtkWindowGroup*) _self;

	// convert parameter window
	window = (GtkWindow*) _window;

	// call function
	gtk_window_group_add_window(self, window);

	// cleanup parameter self

	// cleanup parameter window
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkWindowGroup_gtk_1window_1group_1remove_1window
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window
)
{
	GtkWindowGroup* self;
	GtkWindow* window;

	// convert parameter self
	self = (GtkWindowGroup*) _self;

	// convert parameter window
	window = (GtkWindow*) _window;

	// call function
	gtk_window_group_remove_window(self, window);

	// cleanup parameter self

	// cleanup parameter window
}
