/*
 * PangoFontMetrics.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_pango_PangoFontMetrics.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1ref
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	PangoFontMetrics* result;
	jlong _result;
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	result = pango_font_metrics_ref(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1unref
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	pango_font_metrics_unref(self);

	// cleanup parameter self
}

JNIEXPORT jint JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1get_1ascent
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	int result;
	jint _result;
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	result = pango_font_metrics_get_ascent(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1get_1descent
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	int result;
	jint _result;
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	result = pango_font_metrics_get_descent(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1get_1approximate_1char_1width
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	int result;
	jint _result;
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	result = pango_font_metrics_get_approximate_char_width(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1get_1approximate_1digit_1width
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	int result;
	jint _result;
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	result = pango_font_metrics_get_approximate_digit_width(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1get_1underline_1position
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	int result;
	jint _result;
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	result = pango_font_metrics_get_underline_position(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1get_1underline_1thickness
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	int result;
	jint _result;
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	result = pango_font_metrics_get_underline_thickness(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1get_1strikethrough_1position
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	int result;
	jint _result;
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	result = pango_font_metrics_get_strikethrough_position(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_pango_PangoFontMetrics_pango_1font_1metrics_1get_1strikethrough_1thickness
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	int result;
	jint _result;
	PangoFontMetrics* self;

	// convert parameter self
	self = (PangoFontMetrics*) _self;

	// call function
	result = pango_font_metrics_get_strikethrough_thickness(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}
