/*
 * PangoFontset.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_pango_PangoFontset.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_pango_PangoFontset_pango_1fontset_1get_1font
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _wc
)
{
	PangoFont* result;
	jlong _result;
	PangoFontset* self;
	guint wc;

	// convert parameter self
	self = (PangoFontset*) _self;

	// convert parameter wc
	wc = (guint) _wc;

	// call function
	result = pango_fontset_get_font(self, wc);

	// cleanup parameter self

	// cleanup parameter wc

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_pango_PangoFontset_pango_1fontset_1get_1metrics
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	PangoFontMetrics* result;
	jlong _result;
	PangoFontset* self;

	// convert parameter self
	self = (PangoFontset*) _self;

	// call function
	result = pango_fontset_get_metrics(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}
