/*
 * GtkPrinter.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include <gtk/gtkunixprint.h>
#include "bindings_java.h"
#include "org_gnome_unixprint_GtkPrinter.h"

JNIEXPORT jstring JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1get_1name
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	const gchar* result;
	jstring _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_get_name(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jstring) (*env)->NewStringUTF(env, result);

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1get_1state_1message
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	const gchar* result;
	jstring _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_get_state_message(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jstring) (*env)->NewStringUTF(env, result);

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1get_1description
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	const gchar* result;
	jstring _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_get_description(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jstring) (*env)->NewStringUTF(env, result);

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1get_1location
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	const gchar* result;
	jstring _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_get_location(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jstring) (*env)->NewStringUTF(env, result);

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1get_1icon_1name
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	const gchar* result;
	jstring _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_get_icon_name(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jstring) (*env)->NewStringUTF(env, result);

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1get_1job_1count
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_get_job_count(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1is_1active
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_is_active(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1is_1virtual
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_is_virtual(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1is_1default
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_is_default(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1accepts_1pdf
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_accepts_pdf(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1accepts_1ps
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_accepts_ps(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1compare
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _b
)
{
	gint result;
	jint _result;
	GtkPrinter* self;
	GtkPrinter* b;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// convert parameter b
	b = (GtkPrinter*) _b;

	// call function
	result = gtk_printer_compare(self, b);

	// cleanup parameter self

	// cleanup parameter b

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1get_1capabilities
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPrintCapabilities result;
	jint _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_get_capabilities(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1has_1details
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	result = gtk_printer_has_details(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_unixprint_GtkPrinter_gtk_1printer_1request_1details
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPrinter* self;

	// convert parameter self
	self = (GtkPrinter*) _self;

	// call function
	gtk_printer_request_details(self);

	// cleanup parameter self
}
