/*
 * UnixprintPrintCapabilities.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include <gtk/gtkunixprint.h>
#include "bindings_java.h"
#include "org_gnome_unixprint_UnixprintPrintCapabilities.h"

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_UnixprintPrintCapabilities_get_1ordinal_1page_1set
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PRINT_CAPABILITY_PAGE_SET;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_UnixprintPrintCapabilities_get_1ordinal_1copies
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PRINT_CAPABILITY_COPIES;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_UnixprintPrintCapabilities_get_1ordinal_1collate
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PRINT_CAPABILITY_COLLATE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_UnixprintPrintCapabilities_get_1ordinal_1reverse
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PRINT_CAPABILITY_REVERSE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_UnixprintPrintCapabilities_get_1ordinal_1scale
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PRINT_CAPABILITY_SCALE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_UnixprintPrintCapabilities_get_1ordinal_1generate_1pdf
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PRINT_CAPABILITY_GENERATE_PDF;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_UnixprintPrintCapabilities_get_1ordinal_1generate_1ps
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PRINT_CAPABILITY_GENERATE_PS;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_UnixprintPrintCapabilities_get_1ordinal_1preview
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PRINT_CAPABILITY_PREVIEW;
}
