/*
 * CairoContent.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_freedesktop_cairo_CairoContent.h"

JNIEXPORT jint JNICALL
Java_org_freedesktop_cairo_CairoContent_get_1ordinal_1color
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) CAIRO_CONTENT_COLOR;
}

JNIEXPORT jint JNICALL
Java_org_freedesktop_cairo_CairoContent_get_1ordinal_1alpha
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) CAIRO_CONTENT_ALPHA;
}

JNIEXPORT jint JNICALL
Java_org_freedesktop_cairo_CairoContent_get_1ordinal_1color_1alpha
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) CAIRO_CONTENT_COLOR_ALPHA;
}
