/*
 * AtkValue.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_atk_AtkValue.h"

JNIEXPORT void JNICALL
Java_org_gnome_atk_AtkValue_atk_1value_1get_1current_1value
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _value
)
{
	AtkValue* self;
	GValue* value;

	// convert parameter self
	self = (AtkValue*) _self;

	// convert parameter value
	value = (GValue*) _value;

	// call function
	atk_value_get_current_value(self, value);

	// cleanup parameter self

	// cleanup parameter value
}

JNIEXPORT void JNICALL
Java_org_gnome_atk_AtkValue_atk_1value_1get_1maximum_1value
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _value
)
{
	AtkValue* self;
	GValue* value;

	// convert parameter self
	self = (AtkValue*) _self;

	// convert parameter value
	value = (GValue*) _value;

	// call function
	atk_value_get_maximum_value(self, value);

	// cleanup parameter self

	// cleanup parameter value
}

JNIEXPORT void JNICALL
Java_org_gnome_atk_AtkValue_atk_1value_1get_1minimum_1value
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _value
)
{
	AtkValue* self;
	GValue* value;

	// convert parameter self
	self = (AtkValue*) _self;

	// convert parameter value
	value = (GValue*) _value;

	// call function
	atk_value_get_minimum_value(self, value);

	// cleanup parameter self

	// cleanup parameter value
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_atk_AtkValue_atk_1value_1set_1current_1value
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _value
)
{
	gboolean result;
	jboolean _result;
	AtkValue* self;
	const GValue* value;

	// convert parameter self
	self = (AtkValue*) _self;

	// convert parameter value
	value = (const GValue*) _value;

	// call function
	result = atk_value_set_current_value(self, value);

	// cleanup parameter self

	// cleanup parameter value

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_atk_AtkValue_atk_1value_1get_1minimum_1increment
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _value
)
{
	AtkValue* self;
	GValue* value;

	// convert parameter self
	self = (AtkValue*) _self;

	// convert parameter value
	value = (GValue*) _value;

	// call function
	atk_value_get_minimum_increment(self, value);

	// cleanup parameter self

	// cleanup parameter value
}
