/*
 * GdkEventMask.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkEventMask.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1exposure_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_EXPOSURE_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1pointer_1motion_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_POINTER_MOTION_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1pointer_1motion_1hint_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_POINTER_MOTION_HINT_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1button_1motion_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON_MOTION_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1button1_1motion_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON1_MOTION_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1button2_1motion_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON2_MOTION_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1button3_1motion_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON3_MOTION_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1button_1press_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON_PRESS_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1button_1release_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BUTTON_RELEASE_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1key_1press_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_KEY_PRESS_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1key_1release_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_KEY_RELEASE_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1enter_1notify_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_ENTER_NOTIFY_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1leave_1notify_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_LEAVE_NOTIFY_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1focus_1change_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_FOCUS_CHANGE_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1structure_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_STRUCTURE_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1property_1change_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_PROPERTY_CHANGE_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1visibility_1notify_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_VISIBILITY_NOTIFY_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1proximity_1in_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_PROXIMITY_IN_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1proximity_1out_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_PROXIMITY_OUT_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1substructure_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_SUBSTRUCTURE_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1scroll_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_SCROLL_MASK;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkEventMask_get_1ordinal_1all_1events_1mask
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_ALL_EVENTS_MASK;
}
