/*
 * GdkKeymapKey.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkKeymapKey.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkKeymapKey_gdk_1keymap_1key_1get_1keycode
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint result;
	jint _result;
	GdkKeymapKey* self;

	// convert parameter self
	self = (GdkKeymapKey*) _self;

	// get field value
	result = self->keycode;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkKeymapKey_gdk_1keymap_1key_1set_1keycode
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _keycode
)
{
	GdkKeymapKey* self;
	guint keycode;

	// convert parameter self
	self = (GdkKeymapKey*) _self;

	// convert parameter keycode
	keycode = (guint) _keycode;

	// set field value
	self->keycode = keycode;

	// cleanup parameter self

	// cleanup parameter keycode
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkKeymapKey_gdk_1keymap_1key_1get_1group
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GdkKeymapKey* self;

	// convert parameter self
	self = (GdkKeymapKey*) _self;

	// get field value
	result = self->group;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkKeymapKey_gdk_1keymap_1key_1set_1group
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _group
)
{
	GdkKeymapKey* self;
	gint group;

	// convert parameter self
	self = (GdkKeymapKey*) _self;

	// convert parameter group
	group = (gint) _group;

	// set field value
	self->group = group;

	// cleanup parameter self

	// cleanup parameter group
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkKeymapKey_gdk_1keymap_1key_1get_1level
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GdkKeymapKey* self;

	// convert parameter self
	self = (GdkKeymapKey*) _self;

	// get field value
	result = self->level;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkKeymapKey_gdk_1keymap_1key_1set_1level
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _level
)
{
	GdkKeymapKey* self;
	gint level;

	// convert parameter self
	self = (GdkKeymapKey*) _self;

	// convert parameter level
	level = (gint) _level;

	// set field value
	self->level = level;

	// cleanup parameter self

	// cleanup parameter level
}
