/*
 * GdkPixbufSimpleAnim.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkPixbufSimpleAnim.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkPixbufSimpleAnim_gdk_1pixbuf_1simple_1anim_1new
(
	JNIEnv* env,
	jclass cls,
	jint _width,
	jint _height,
	jfloat _rate
)
{
	GdkPixbufSimpleAnim* result;
	jlong _result;
	gint width;
	gint height;
	gfloat rate;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// convert parameter rate
	rate = (gfloat) _rate;

	// call function
	result = gdk_pixbuf_simple_anim_new(width, height, rate);

	// cleanup parameter width

	// cleanup parameter height

	// cleanup parameter rate

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkPixbufSimpleAnim_gdk_1pixbuf_1simple_1anim_1add_1frame
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _pixbuf
)
{
	GdkPixbufSimpleAnim* self;
	GdkPixbuf* pixbuf;

	// convert parameter self
	self = (GdkPixbufSimpleAnim*) _self;

	// convert parameter pixbuf
	pixbuf = (GdkPixbuf*) _pixbuf;

	// call function
	gdk_pixbuf_simple_anim_add_frame(self, pixbuf);

	// cleanup parameter self

	// cleanup parameter pixbuf
}
