/*
 * GdkPixmap.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkPixmap.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkPixmap_gdk_1pixmap_1new
(
	JNIEnv* env,
	jclass cls,
	jlong _drawable,
	jint _width,
	jint _height,
	jint _depth
)
{
	GdkPixmap* result;
	jlong _result;
	GdkDrawable* drawable;
	gint width;
	gint height;
	gint depth;

	// convert parameter drawable
	drawable = (GdkDrawable*) _drawable;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// convert parameter depth
	depth = (gint) _depth;

	// call function
	result = gdk_pixmap_new(drawable, width, height, depth);

	// cleanup parameter drawable

	// cleanup parameter width

	// cleanup parameter height

	// cleanup parameter depth

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}
