/*
 * GdkWindowHints.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkWindowHints.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkWindowHints_get_1ordinal_1pos
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HINT_POS;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkWindowHints_get_1ordinal_1min_1size
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HINT_MIN_SIZE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkWindowHints_get_1ordinal_1max_1size
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HINT_MAX_SIZE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkWindowHints_get_1ordinal_1base_1size
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HINT_BASE_SIZE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkWindowHints_get_1ordinal_1aspect
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HINT_ASPECT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkWindowHints_get_1ordinal_1resize_1inc
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HINT_RESIZE_INC;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkWindowHints_get_1ordinal_1win_1gravity
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HINT_WIN_GRAVITY;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkWindowHints_get_1ordinal_1user_1pos
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HINT_USER_POS;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkWindowHints_get_1ordinal_1user_1size
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_HINT_USER_SIZE;
}
