/*
 * GtkAccelGroup.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkAccelGroup.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkAccelGroup_gtk_1accel_1group_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkAccelGroup* result;
	jlong _result;

	// call function
	result = gtk_accel_group_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkAccelGroup_gtk_1accel_1group_1lock
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkAccelGroup* self;

	// convert parameter self
	self = (GtkAccelGroup*) _self;

	// call function
	gtk_accel_group_lock(self);

	// cleanup parameter self
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkAccelGroup_gtk_1accel_1group_1unlock
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkAccelGroup* self;

	// convert parameter self
	self = (GtkAccelGroup*) _self;

	// call function
	gtk_accel_group_unlock(self);

	// cleanup parameter self
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkAccelGroup_gtk_1accel_1group_1disconnect_1key
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _accelKey,
	jint _accelMods
)
{
	gboolean result;
	jboolean _result;
	GtkAccelGroup* self;
	guint accelKey;
	GdkModifierType accelMods;

	// convert parameter self
	self = (GtkAccelGroup*) _self;

	// convert parameter accelKey
	accelKey = (guint) _accelKey;

	// convert parameter accelMods
	accelMods = (GdkModifierType) _accelMods;

	// call function
	result = gtk_accel_group_disconnect_key(self, accelKey, accelMods);

	// cleanup parameter self

	// cleanup parameter accelKey

	// cleanup parameter accelMods

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkAccelGroup_gtk_1accel_1group_1activate
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _accelQuark,
	jlong _acceleratable,
	jint _accelKey,
	jint _accelMods
)
{
	gboolean result;
	jboolean _result;
	GtkAccelGroup* self;
	GQuark accelQuark;
	GObject* acceleratable;
	guint accelKey;
	GdkModifierType accelMods;

	// convert parameter self
	self = (GtkAccelGroup*) _self;

	// convert parameter accelQuark
	accelQuark = (GQuark) _accelQuark;

	// convert parameter acceleratable
	acceleratable = (GObject*) _acceleratable;

	// convert parameter accelKey
	accelKey = (guint) _accelKey;

	// convert parameter accelMods
	accelMods = (GdkModifierType) _accelMods;

	// call function
	result = gtk_accel_group_activate(self, accelQuark, acceleratable, accelKey, accelMods);

	// cleanup parameter self

	// cleanup parameter accelQuark

	// cleanup parameter acceleratable

	// cleanup parameter accelKey

	// cleanup parameter accelMods

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
