/*
 * GtkArrow.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkArrow.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkArrow_gtk_1arrow_1new
(
	JNIEnv* env,
	jclass cls,
	jint _arrowType,
	jint _shadowType
)
{
	GtkWidget* result;
	jlong _result;
	GtkArrowType arrowType;
	GtkShadowType shadowType;

	// convert parameter arrowType
	arrowType = (GtkArrowType) _arrowType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// call function
	result = gtk_arrow_new(arrowType, shadowType);

	// cleanup parameter arrowType

	// cleanup parameter shadowType

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkArrow_gtk_1arrow_1set
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _arrowType,
	jint _shadowType
)
{
	GtkArrow* self;
	GtkArrowType arrowType;
	GtkShadowType shadowType;

	// convert parameter self
	self = (GtkArrow*) _self;

	// convert parameter arrowType
	arrowType = (GtkArrowType) _arrowType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// call function
	gtk_arrow_set(self, arrowType, shadowType);

	// cleanup parameter self

	// cleanup parameter arrowType

	// cleanup parameter shadowType
}
