/*
 * GtkCellRendererToggle.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkCellRendererToggle.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkCellRendererToggle_gtk_1cell_1renderer_1toggle_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkCellRenderer* result;
	jlong _result;

	// call function
	result = gtk_cell_renderer_toggle_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkCellRendererToggle_gtk_1cell_1renderer_1toggle_1get_1radio
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkCellRendererToggle* self;

	// convert parameter self
	self = (GtkCellRendererToggle*) _self;

	// call function
	result = gtk_cell_renderer_toggle_get_radio(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellRendererToggle_gtk_1cell_1renderer_1toggle_1set_1radio
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _radio
)
{
	GtkCellRendererToggle* self;
	gboolean radio;

	// convert parameter self
	self = (GtkCellRendererToggle*) _self;

	// convert parameter radio
	radio = (gboolean) _radio;

	// call function
	gtk_cell_renderer_toggle_set_radio(self, radio);

	// cleanup parameter self

	// cleanup parameter radio
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkCellRendererToggle_gtk_1cell_1renderer_1toggle_1get_1active
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkCellRendererToggle* self;

	// convert parameter self
	self = (GtkCellRendererToggle*) _self;

	// call function
	result = gtk_cell_renderer_toggle_get_active(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellRendererToggle_gtk_1cell_1renderer_1toggle_1set_1active
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _setting
)
{
	GtkCellRendererToggle* self;
	gboolean setting;

	// convert parameter self
	self = (GtkCellRendererToggle*) _self;

	// convert parameter setting
	setting = (gboolean) _setting;

	// call function
	gtk_cell_renderer_toggle_set_active(self, setting);

	// cleanup parameter self

	// cleanup parameter setting
}
