/*
 * GtkHandleBox.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkHandleBox.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkHandleBox_gtk_1handle_1box_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkWidget* result;
	jlong _result;

	// call function
	result = gtk_handle_box_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkHandleBox_gtk_1handle_1box_1set_1shadow_1type
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _type
)
{
	GtkHandleBox* self;
	GtkShadowType type;

	// convert parameter self
	self = (GtkHandleBox*) _self;

	// convert parameter type
	type = (GtkShadowType) _type;

	// call function
	gtk_handle_box_set_shadow_type(self, type);

	// cleanup parameter self

	// cleanup parameter type
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkHandleBox_gtk_1handle_1box_1get_1shadow_1type
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkShadowType result;
	jint _result;
	GtkHandleBox* self;

	// convert parameter self
	self = (GtkHandleBox*) _self;

	// call function
	result = gtk_handle_box_get_shadow_type(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkHandleBox_gtk_1handle_1box_1set_1handle_1position
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _position
)
{
	GtkHandleBox* self;
	GtkPositionType position;

	// convert parameter self
	self = (GtkHandleBox*) _self;

	// convert parameter position
	position = (GtkPositionType) _position;

	// call function
	gtk_handle_box_set_handle_position(self, position);

	// cleanup parameter self

	// cleanup parameter position
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkHandleBox_gtk_1handle_1box_1get_1handle_1position
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPositionType result;
	jint _result;
	GtkHandleBox* self;

	// convert parameter self
	self = (GtkHandleBox*) _self;

	// call function
	result = gtk_handle_box_get_handle_position(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkHandleBox_gtk_1handle_1box_1set_1snap_1edge
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _edge
)
{
	GtkHandleBox* self;
	GtkPositionType edge;

	// convert parameter self
	self = (GtkHandleBox*) _self;

	// convert parameter edge
	edge = (GtkPositionType) _edge;

	// call function
	gtk_handle_box_set_snap_edge(self, edge);

	// cleanup parameter self

	// cleanup parameter edge
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkHandleBox_gtk_1handle_1box_1get_1snap_1edge
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPositionType result;
	jint _result;
	GtkHandleBox* self;

	// convert parameter self
	self = (GtkHandleBox*) _self;

	// call function
	result = gtk_handle_box_get_snap_edge(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}
