/*
 * GtkItem.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkItem.h"

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkItem_gtk_1item_1select
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkItem* self;

	// convert parameter self
	self = (GtkItem*) _self;

	// call function
	gtk_item_select(self);

	// cleanup parameter self
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkItem_gtk_1item_1deselect
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkItem* self;

	// convert parameter self
	self = (GtkItem*) _self;

	// call function
	gtk_item_deselect(self);

	// cleanup parameter self
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkItem_gtk_1item_1toggle
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkItem* self;

	// convert parameter self
	self = (GtkItem*) _self;

	// call function
	gtk_item_toggle(self);

	// cleanup parameter self
}
