/*
 * GtkMenuBar.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkMenuBar.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkMenuBar_gtk_1menu_1bar_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkWidget* result;
	jlong _result;

	// call function
	result = gtk_menu_bar_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkMenuBar_gtk_1menu_1bar_1get_1pack_1direction
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPackDirection result;
	jint _result;
	GtkMenuBar* self;

	// convert parameter self
	self = (GtkMenuBar*) _self;

	// call function
	result = gtk_menu_bar_get_pack_direction(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkMenuBar_gtk_1menu_1bar_1set_1pack_1direction
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _packDir
)
{
	GtkMenuBar* self;
	GtkPackDirection packDir;

	// convert parameter self
	self = (GtkMenuBar*) _self;

	// convert parameter packDir
	packDir = (GtkPackDirection) _packDir;

	// call function
	gtk_menu_bar_set_pack_direction(self, packDir);

	// cleanup parameter self

	// cleanup parameter packDir
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkMenuBar_gtk_1menu_1bar_1get_1child_1pack_1direction
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPackDirection result;
	jint _result;
	GtkMenuBar* self;

	// convert parameter self
	self = (GtkMenuBar*) _self;

	// call function
	result = gtk_menu_bar_get_child_pack_direction(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkMenuBar_gtk_1menu_1bar_1set_1child_1pack_1direction
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _childPackDir
)
{
	GtkMenuBar* self;
	GtkPackDirection childPackDir;

	// convert parameter self
	self = (GtkMenuBar*) _self;

	// convert parameter childPackDir
	childPackDir = (GtkPackDirection) _childPackDir;

	// call function
	gtk_menu_bar_set_child_pack_direction(self, childPackDir);

	// cleanup parameter self

	// cleanup parameter childPackDir
}
