/*
 * GtkMisc.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkMisc.h"

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkMisc_gtk_1misc_1set_1alignment
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jfloat _xalign,
	jfloat _yalign
)
{
	GtkMisc* self;
	gfloat xalign;
	gfloat yalign;

	// convert parameter self
	self = (GtkMisc*) _self;

	// convert parameter xalign
	xalign = (gfloat) _xalign;

	// convert parameter yalign
	yalign = (gfloat) _yalign;

	// call function
	gtk_misc_set_alignment(self, xalign, yalign);

	// cleanup parameter self

	// cleanup parameter xalign

	// cleanup parameter yalign
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkMisc_gtk_1misc_1get_1alignment
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jfloatArray _xalign,
	jfloatArray _yalign
)
{
	GtkMisc* self;
	gfloat* xalign;
	gfloat* yalign;

	// convert parameter self
	self = (GtkMisc*) _self;

	// convert parameter xalign
	xalign = (gfloat*) (*env)->GetFloatArrayElements(env, _xalign, NULL);
	if (xalign == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter yalign
	yalign = (gfloat*) (*env)->GetFloatArrayElements(env, _yalign, NULL);
	if (yalign == NULL) {
		return; // Java Exception already thrown
	}

	// call function
	gtk_misc_get_alignment(self, xalign, yalign);

	// cleanup parameter self

	// cleanup parameter xalign
	(*env)->ReleaseFloatArrayElements(env, _xalign, (jfloat*)xalign, 0);

	// cleanup parameter yalign
	(*env)->ReleaseFloatArrayElements(env, _yalign, (jfloat*)yalign, 0);
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkMisc_gtk_1misc_1set_1padding
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _xpad,
	jint _ypad
)
{
	GtkMisc* self;
	gint xpad;
	gint ypad;

	// convert parameter self
	self = (GtkMisc*) _self;

	// convert parameter xpad
	xpad = (gint) _xpad;

	// convert parameter ypad
	ypad = (gint) _ypad;

	// call function
	gtk_misc_set_padding(self, xpad, ypad);

	// cleanup parameter self

	// cleanup parameter xpad

	// cleanup parameter ypad
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkMisc_gtk_1misc_1get_1padding
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jintArray _xpad,
	jintArray _ypad
)
{
	GtkMisc* self;
	gint* xpad;
	gint* ypad;

	// convert parameter self
	self = (GtkMisc*) _self;

	// convert parameter xpad
	xpad = (gint*) (*env)->GetIntArrayElements(env, _xpad, NULL);
	if (xpad == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter ypad
	ypad = (gint*) (*env)->GetIntArrayElements(env, _ypad, NULL);
	if (ypad == NULL) {
		return; // Java Exception already thrown
	}

	// call function
	gtk_misc_get_padding(self, xpad, ypad);

	// cleanup parameter self

	// cleanup parameter xpad
	(*env)->ReleaseIntArrayElements(env, _xpad, (jint*)xpad, 0);

	// cleanup parameter ypad
	(*env)->ReleaseIntArrayElements(env, _ypad, (jint*)ypad, 0);
}
