/*
 * GtkPrintOperationPreview.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkPrintOperationPreview.h"

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkPrintOperationPreview_gtk_1print_1operation_1preview_1render_1page
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _pageNr
)
{
	GtkPrintOperationPreview* self;
	gint pageNr;

	// convert parameter self
	self = (GtkPrintOperationPreview*) _self;

	// convert parameter pageNr
	pageNr = (gint) _pageNr;

	// call function
	gtk_print_operation_preview_render_page(self, pageNr);

	// cleanup parameter self

	// cleanup parameter pageNr
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkPrintOperationPreview_gtk_1print_1operation_1preview_1end_1preview
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPrintOperationPreview* self;

	// convert parameter self
	self = (GtkPrintOperationPreview*) _self;

	// call function
	gtk_print_operation_preview_end_preview(self);

	// cleanup parameter self
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkPrintOperationPreview_gtk_1print_1operation_1preview_1is_1selected
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _pageNr
)
{
	gboolean result;
	jboolean _result;
	GtkPrintOperationPreview* self;
	gint pageNr;

	// convert parameter self
	self = (GtkPrintOperationPreview*) _self;

	// convert parameter pageNr
	pageNr = (gint) _pageNr;

	// call function
	result = gtk_print_operation_preview_is_selected(self, pageNr);

	// cleanup parameter self

	// cleanup parameter pageNr

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
