/*
 * GtkRequisition.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkRequisition.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkRequisition_gtk_1requisition_1get_1width
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkRequisition* self;

	// convert parameter self
	self = (GtkRequisition*) _self;

	// get field value
	result = self->width;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkRequisition_gtk_1requisition_1set_1width
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _width
)
{
	GtkRequisition* self;
	gint width;

	// convert parameter self
	self = (GtkRequisition*) _self;

	// convert parameter width
	width = (gint) _width;

	// set field value
	self->width = width;

	// cleanup parameter self

	// cleanup parameter width
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkRequisition_gtk_1requisition_1get_1height
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkRequisition* self;

	// convert parameter self
	self = (GtkRequisition*) _self;

	// get field value
	result = self->height;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkRequisition_gtk_1requisition_1set_1height
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _height
)
{
	GtkRequisition* self;
	gint height;

	// convert parameter self
	self = (GtkRequisition*) _self;

	// convert parameter height
	height = (gint) _height;

	// set field value
	self->height = height;

	// cleanup parameter self

	// cleanup parameter height
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkRequisition_gtk_1requisition_1copy
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkRequisition* result;
	jlong _result;
	GtkRequisition* self;

	// convert parameter self
	self = (GtkRequisition*) _self;

	// call function
	result = gtk_requisition_copy(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkRequisition_gtk_1requisition_1free
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkRequisition* self;

	// convert parameter self
	self = (GtkRequisition*) _self;

	// call function
	gtk_requisition_free(self);

	// cleanup parameter self
}
