/*
 * GtkSeparatorToolItem.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkSeparatorToolItem.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkSeparatorToolItem_gtk_1separator_1tool_1item_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkToolItem* result;
	jlong _result;

	// call function
	result = gtk_separator_tool_item_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkSeparatorToolItem_gtk_1separator_1tool_1item_1get_1draw
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkSeparatorToolItem* self;

	// convert parameter self
	self = (GtkSeparatorToolItem*) _self;

	// call function
	result = gtk_separator_tool_item_get_draw(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkSeparatorToolItem_gtk_1separator_1tool_1item_1set_1draw
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _draw
)
{
	GtkSeparatorToolItem* self;
	gboolean draw;

	// convert parameter self
	self = (GtkSeparatorToolItem*) _self;

	// convert parameter draw
	draw = (gboolean) _draw;

	// call function
	gtk_separator_tool_item_set_draw(self, draw);

	// cleanup parameter self

	// cleanup parameter draw
}
