/*
 * GtkTextAppearance.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkTextAppearance.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1get_1bg_1stipple
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkBitmap* result;
	jlong _result;
	GtkTextAppearance* self;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// get field value
	result = self->bg_stipple;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1set_1bg_1stipple
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _bgStipple
)
{
	GtkTextAppearance* self;
	GdkBitmap* bgStipple;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// convert parameter bgStipple
	bgStipple = (GdkBitmap*) _bgStipple;

	// set field value
	self->bg_stipple = bgStipple;

	// cleanup parameter self

	// cleanup parameter bgStipple
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1get_1fg_1stipple
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkBitmap* result;
	jlong _result;
	GtkTextAppearance* self;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// get field value
	result = self->fg_stipple;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1set_1fg_1stipple
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _fgStipple
)
{
	GtkTextAppearance* self;
	GdkBitmap* fgStipple;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// convert parameter fgStipple
	fgStipple = (GdkBitmap*) _fgStipple;

	// set field value
	self->fg_stipple = fgStipple;

	// cleanup parameter self

	// cleanup parameter fgStipple
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1get_1rise
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkTextAppearance* self;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// get field value
	result = self->rise;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1set_1rise
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _rise
)
{
	GtkTextAppearance* self;
	gint rise;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// convert parameter rise
	rise = (gint) _rise;

	// set field value
	self->rise = rise;

	// cleanup parameter self

	// cleanup parameter rise
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1get_1underline
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint result;
	jint _result;
	GtkTextAppearance* self;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// get field value
	result = self->underline;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1set_1underline
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _underline
)
{
	GtkTextAppearance* self;
	guint underline;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// convert parameter underline
	underline = (guint) _underline;

	// set field value
	self->underline = underline;

	// cleanup parameter self

	// cleanup parameter underline
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1get_1strikethrough
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint result;
	jint _result;
	GtkTextAppearance* self;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// get field value
	result = self->strikethrough;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1set_1strikethrough
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _strikethrough
)
{
	GtkTextAppearance* self;
	guint strikethrough;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// convert parameter strikethrough
	strikethrough = (guint) _strikethrough;

	// set field value
	self->strikethrough = strikethrough;

	// cleanup parameter self

	// cleanup parameter strikethrough
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1get_1draw_1bg
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint result;
	jint _result;
	GtkTextAppearance* self;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// get field value
	result = self->draw_bg;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1set_1draw_1bg
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _drawBg
)
{
	GtkTextAppearance* self;
	guint drawBg;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// convert parameter drawBg
	drawBg = (guint) _drawBg;

	// set field value
	self->draw_bg = drawBg;

	// cleanup parameter self

	// cleanup parameter drawBg
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1get_1inside_1selection
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint result;
	jint _result;
	GtkTextAppearance* self;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// get field value
	result = self->inside_selection;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1set_1inside_1selection
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _insideSelection
)
{
	GtkTextAppearance* self;
	guint insideSelection;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// convert parameter insideSelection
	insideSelection = (guint) _insideSelection;

	// set field value
	self->inside_selection = insideSelection;

	// cleanup parameter self

	// cleanup parameter insideSelection
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1get_1is_1text
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint result;
	jint _result;
	GtkTextAppearance* self;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// get field value
	result = self->is_text;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextAppearance_gtk_1text_1appearance_1set_1is_1text
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _isText
)
{
	GtkTextAppearance* self;
	guint isText;

	// convert parameter self
	self = (GtkTextAppearance*) _self;

	// convert parameter isText
	isText = (guint) _isText;

	// set field value
	self->is_text = isText;

	// cleanup parameter self

	// cleanup parameter isText
}
