/*
 * GtkTextMark.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkTextMark.h"

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextMark_gtk_1text_1mark_1set_1visible
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _setting
)
{
	GtkTextMark* self;
	gboolean setting;

	// convert parameter self
	self = (GtkTextMark*) _self;

	// convert parameter setting
	setting = (gboolean) _setting;

	// call function
	gtk_text_mark_set_visible(self, setting);

	// cleanup parameter self

	// cleanup parameter setting
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextMark_gtk_1text_1mark_1get_1visible
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextMark* self;

	// convert parameter self
	self = (GtkTextMark*) _self;

	// call function
	result = gtk_text_mark_get_visible(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_gtk_GtkTextMark_gtk_1text_1mark_1get_1name
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	const gchar* result;
	jstring _result;
	GtkTextMark* self;

	// convert parameter self
	self = (GtkTextMark*) _self;

	// call function
	result = gtk_text_mark_get_name(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jstring) (*env)->NewStringUTF(env, result);

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextMark_gtk_1text_1mark_1get_1deleted
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextMark* self;

	// convert parameter self
	self = (GtkTextMark*) _self;

	// call function
	result = gtk_text_mark_get_deleted(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTextMark_gtk_1text_1mark_1get_1buffer
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkTextBuffer* result;
	jlong _result;
	GtkTextMark* self;

	// convert parameter self
	self = (GtkTextMark*) _self;

	// call function
	result = gtk_text_mark_get_buffer(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextMark_gtk_1text_1mark_1get_1left_1gravity
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextMark* self;

	// convert parameter self
	self = (GtkTextMark*) _self;

	// call function
	result = gtk_text_mark_get_left_gravity(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
