/*
 * GtkTreeDragDest.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkTreeDragDest.h"

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTreeDragDest_gtk_1tree_1drag_1dest_1drag_1data_1received
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _dest,
	jlong _selectionData
)
{
	gboolean result;
	jboolean _result;
	GtkTreeDragDest* self;
	GtkTreePath* dest;
	GtkSelectionData* selectionData;

	// convert parameter self
	self = (GtkTreeDragDest*) _self;

	// convert parameter dest
	dest = (GtkTreePath*) _dest;

	// convert parameter selectionData
	selectionData = (GtkSelectionData*) _selectionData;

	// call function
	result = gtk_tree_drag_dest_drag_data_received(self, dest, selectionData);

	// cleanup parameter self

	// cleanup parameter dest

	// cleanup parameter selectionData

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTreeDragDest_gtk_1tree_1drag_1dest_1row_1drop_1possible
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _destPath,
	jlong _selectionData
)
{
	gboolean result;
	jboolean _result;
	GtkTreeDragDest* self;
	GtkTreePath* destPath;
	GtkSelectionData* selectionData;

	// convert parameter self
	self = (GtkTreeDragDest*) _self;

	// convert parameter destPath
	destPath = (GtkTreePath*) _destPath;

	// convert parameter selectionData
	selectionData = (GtkSelectionData*) _selectionData;

	// call function
	result = gtk_tree_drag_dest_row_drop_possible(self, destPath, selectionData);

	// cleanup parameter self

	// cleanup parameter destPath

	// cleanup parameter selectionData

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
