/*
 * GtkTreeIter.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkTreeIter.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTreeIter_gtk_1tree_1iter_1copy
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkTreeIter* result;
	jlong _result;
	GtkTreeIter* self;

	// convert parameter self
	self = (GtkTreeIter*) _self;

	// call function
	result = gtk_tree_iter_copy(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTreeIter_gtk_1tree_1iter_1free
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkTreeIter* self;

	// convert parameter self
	self = (GtkTreeIter*) _self;

	// call function
	gtk_tree_iter_free(self);

	// cleanup parameter self
}
